<?php

interface OrderProblemInterface
{
    public function getErrorMessage(): string;

    public function isProblematic(): bool;

    public function isRepairable(): bool;

    public function repair(): bool;
}
